# Welcome!

If you are here, it means you are interested in helping us out. A hearty welcome and thank you! There are many ways you can contribute to the ML.NET project:

* Offer PR's to fix bugs or implement new features.
* Give us feedback and bug reports regarding the software or the documentation.
* Improve our examples, tutorials, and documentation.

## Getting started:

Please join the community on Gitter [![Join the chat at https://gitter.im/dotnet/mlnet](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/dotnet/mlnet?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge). Also please make sure to take a look at the project [roadmap](ROADMAP.md).


### Finding an issue to work on

We've created a separate bucket of issues, which would be great candidates for community members to contribute to. We mark these issues with the `help wanted` label. You can find all these issues [here](https://github.com/dotnet/machinelearning/issues?q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22).
  
Within that set, we have additionally marked issues which are good candidates for first-time contributors. Those do not require too much familiarity with the codebase and are more novice-friendly. Those are marked with `good first issue` label. The full list of such issues can be found [here](https://github.com/dotnet/machinelearning/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22).
  
If there is some other area not included here where you want to contribute to, first open an issue to describe the problem you are trying to solve and state that you're willing to contribute a fix for it. We will then discuss in that issue, if this is an issue we would like addressed and the best approach to solve it.

### Pull requests

If you are new to GitHub [here](https://help.github.com/categories/collaborating-with-issues-and-pull-requests/) is a detailed help source on getting involved with development on GitHub.

As a first time contributor, you will be invited to sign the Contributor License Agreement (CLA). Please follow the instructions of the dotnet foundation bot reviewer on your PR to sign the agreement indicating that you have appropriate rights to your contribution.

Your pull request needs to reference a filed issue. Please fill in the template that is populated for the pull request. Only pull requests addressing small typos can have no issues associated with them.

An ML.NET team member will be assigned to your pull request once the continuous integration checks have passed successfully.

All commits in a pull request will be squashed to a single commit with the original creator as author.

# Contributing

See [Contributing](docs/project-docs/contributing.md) for information about coding styles, source structure, making pull requests, and more.

# Developers

See the [Developer Guide](docs/project-docs/developer-guide.md) for details about developing in this repo.
